﻿@model Tuple<List<ARGNSCSMaterial>, UsersSettingView, CostSheetComboSAP>

<script type="text/javascript">
    var WhItems = [];
    var DistrRuleItems = [];
    $.ajax({
        url: '/PLM/CostSheet/_GetWarehouseList',
        type: 'POST',
        data: {},
        traditional: true,
        cache: false,
        dataType: 'json',
        success: function (data) {
            $.each(data, function (key) {
                WhItems.push({
                    value: data[key].Value,
                    label: data[key].Text
                });
            });
        }, error: function (xhr) {
            alert(xhr.status);

        },
    });
    $.ajax({
        url: '/PLM/CostSheet/_GetDistributionRuleList',
        type: 'POST',
        data: {},
        traditional: true,
        cache: false,
        dataType: 'json',
        success: function (data) {
            $.each(data, function (key) {

                DistrRuleItems.push({
                    value: data[key].Value,
                    label: data[key].Text
                });

            });
        }, error: function (xhr) {
            alert(xhr.status);

        },
    });
</script>

<div class="panel panel-default">
   
    <div class="panel-body">
        <div class="table-responsive tableItemsDocuments">
            <div id="TableMaterials">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>@MA.ItemCode</th>
                            <th>@MA.ItemDescription</th>
                            <th>@MA.Quantity</th>
                            <th>CxT</th>
                            <th>CxGT</th>
                            <th>CxS</th>
                            <th>CxC</th>
                            <th>@MA.UoM</th>
                            <th>@MA.Whse</th>
                            <th>@MA.DistRule</th>
                            <th>@MA.IM</th>
                            <th>@MA.PL</th>
                            <th>@MA.Currency</th>
                            <th>@MA.UnitPrice</th>
                            <th>Total</th>
                            <th>@MA.PreferredVendor</th>
                            <th>@MA.Remarks</th>
                            <th>@MA.TreeType</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (ARGNSCSMaterial item in Model.Item1)
                        {
                            string mQuantity = "Quantity" + item.LineId;
                            string mCxT = "CxT" + item.LineId;
                            string mCxS = "CxS" + item.LineId;
                            string mCxC = "CxC" + item.LineId;
                            string mCxGT = "CxGT" + item.LineId;
                            string mUoM = "UoM" + item.LineId;
                            string mWh = "Wh" + item.LineId;
                            string mDistRule = "DistRule" + item.LineId;
                            string mPList = "PList" + item.LineId;
                            string mCurrency = "Currency" + item.LineId;
                            string mUnitP = "UnitP" + item.LineId;
                            string mTotal = "Total" + item.LineId;
                            string mPvendor = "Pvendor" + item.LineId;
                            string mRemarks = "Remarks" + item.LineId;
                            <tr>
                                <td>@item.U_ItemCode</td>
                                <td>@item.U_ItemName
                                    <input type="hidden" id="@item.LineId" />
                                </td>
                                <td><input id='@mQuantity' type="number" class="form-control quantityDocuments" value='@(item.U_Quantity != null ? Math.Round((decimal)item.U_Quantity, 2).ToString() : "")' onchange="$('#@mQuantity').attr('value', $('#@mQuantity').val()); ChangeValue(@item.LineId);" /></td>
                                <td><input id="@mCxT" name="@mCxT" @(item.U_CxT == "Y" ? "checked=\"checked\"" : "")  onchange="$('#@mCxT').prop('checked') == true ? $('#@mCxT').attr('checked','checked') : $('#@mCxT').removeAttr('checked')" type="checkbox"></td>
                                <td><input id="@mCxGT" name="@mCxGT" @(item.U_CxGT == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxGT').prop('checked') == true ? $('#@mCxGT').attr('checked','checked') : $('#@mCxGT').removeAttr('checked')" type="checkbox"></td>
                                <td><input id="@mCxS" name="@mCxS" @(item.U_CxS == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxS').prop('checked') == true ? $('#@mCxS').attr('checked','checked') : $('#@mCxS').removeAttr('checked')" type="checkbox"></td>
                                <td><input id="@mCxC" name="@mCxC" @(item.U_CxC == "Y" ? "checked=\"checked\"" : "") onchange="$('#@mCxC').prop('checked') == true ? $('#@mCxC').attr('checked','checked') : $('#@mCxC').removeAttr('checked')" type="checkbox"></td>
                                <td><input id='@mUoM' class="form-control uomCostSheet" value='@item.U_UoM' onchange="$('#@mUoM').attr('value', $('#@mUoM').val());" /></td>
                                
                                <td><input id='@mWh' class="form-control autoComplete" value="@(item.U_Whse != null ? item.U_Whse : Model.Item2.DftWhs)" title="type &quot;a&quot;" onchange="$('#@mWh').attr('value', $('#@mWh').val());"></td>
                                <td><input id='@mDistRule' class="form-control autoComplete" value='@(item.U_OcrCode != null ? item.U_OcrCode : Model.Item2.DftDistRule)' title="type &quot;a&quot;" onchange="$('#@mDistRule').attr('value', $('#@mDistRule').val());" /></td>
                                @switch(@item.U_IssueMth)
                                {
                                    case "B":
                                        <td>Backflush</td>
                                        break;
                                    case "M":
                                        <td>Manual</td>
                                        break;
                                    default:
                                        <td></td>
                                        break;
                                }
                                <td>
                                    @Html.DropDownList(@mPList, new SelectList(
                                    Model.Item3.PriceList,
                                               "ListNum",
                                               "ListName", item.U_PList), new { @Id = @mPList, @class = "form-control priceListCostSheet", @onchange = "$(\"#"+mPList+" option\").each(function () {var option = $(this); if(option.val() == $(\"#"+mPList+"\").val()){option.attr('selected', 'selected')}else{option.removeAttr('selected');}});" })
                                </td>
                                <td>
                                    @Html.DropDownList(@mCurrency, new SelectList(
                                    Model.Item3.CurrencyList,
                                            "CurrCode",
                                      "CurrName", item.U_Currency), new { @Id = @mCurrency, @class = "form-control priceListCostSheet", @onchange = "$(\"#" + mCurrency + " option\").each(function () {var option = $(this); if(option.val() == $(\"#" + mCurrency + "\").val()){option.attr('selected', 'selected')}else{option.removeAttr('selected');}}); ChangeValue(" + @item.LineId + ");" })
                                </td>
                                <td><input id='@mUnitP' type="number" class="form-control priceDocuments" value='@(item.U_UPrice != null ? Math.Round((decimal)item.U_UPrice, 2).ToString() : "")' onchange="$('#@mUnitP').attr('value', $('#@mUnitP').val()); ChangeValue(@item.LineId);" /></td>
                                <td><input id='@mTotal' class="form-control priceDocuments" disabled="disabled" /></td>
                                <td>
                                    @Html.DropDownList(@mPvendor, new SelectList(
                                    Model.Item3.VendorList,
                                            "CardCode",
                                            "CardName", item.U_PVendor), new { @Id = @mPvendor, @class = "form-control priceListCostSheet", @onchange = "$(\"#" + mPvendor + " option\").each(function () {var option = $(this); if(option.val() == $(\"#" + mPvendor + "\").val()){option.attr('selected', 'selected')}else{option.removeAttr('selected');}});" })
                                </td>
                                <td><input id='@mRemarks' class="form-control remarksCostSheet" value='@item.U_Comments' onchange="$('#@mRemarks').attr('value', $('#@mRemarks').val());" /></td>
                                <td>@item.U_TreeType</td>
                            </tr>
                            <script type="text/javascript">
                                $("#" + '@mWh').autocomplete({
                                    source: WhItems
                                });
                                $("#" + '@mDistRule').autocomplete({
                                    source: DistrRuleItems
                                });
                            </script>
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>